#!/usr/bin/tclsh

set orb0 "results/orbit0.sdds"
set orb1 "results/orbit1.sdds"
set orb2 "results/orbit2.sdds"
set res  "results/residual.sdds"
set mag  "results/beamline.mag"

exec \
    sddsplot "-title=" -scales=-5,130,0,0 -sameScale=global -lay=1,1 \
	-col=s,Profile -graph=line,type=15 -factor=yMult=3e-4 $mag \
	-col=s,x       -graph=line,type=1,thick=2 "-legend=spec=FSE=1%"   $orb0 \
	-col=s,x       -graph=line,type=2,thick=1 "-legend=spec=1 HKICK"  $orb1 \
	-col=s,x       -graph=line,type=4,thick=1 "-legend=spec=2 HKICKs" $orb2 \
	"-yLabel=x-orbit (m)" \
	    -endPanel \
	-col=s,Profile -graph=line,type=15 -factor=yMult=3e-4 $mag \
	-col=s,dx1     -graph=line,type=2,thick=2 -legend  $res \
	-col=s,dx2     -graph=line,type=4,thick=2 -legend  $res \
	"-yLabel=Residual x (m)" \
    &
